net.minecraft.tileentity

## Class TileEntityDropper

- java.lang.Object
- - net.minecraft.tileentity.TileEntity
  - - net.minecraft.tileentity.TileEntityDispenser
    - - net.minecraft.tileentity.TileEntityDropper

- All Implemented Interfaces:
    IInventory

      public class TileEntityDropper
      extends TileEntityDispenser

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.tileentity.TileEntityDispenser

      `field_146020_a`

    - ### Fields inherited from class net.minecraft.tileentity.TileEntity

      `blockMetadata, blockType, INFINITE_EXTENT_AABB, tileEntityInvalid, worldObj, xCoord, yCoord, zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityDropper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getInventoryName()`

    - ### Methods inherited from class net.minecraft.tileentity.TileEntityDispenser

      `closeInventory, decrStackSize, func_146017_i, func_146018_a, func_146019_a, getInventoryStackLimit, getSizeInventory, getStackInSlot, getStackInSlotOnClosing, hasCustomInventoryName, isItemValidForSlot, isUseableByPlayer, openInventory, readFromNBT, setInventorySlotContents, writeToNBT`

    - ### Methods inherited from class net.minecraft.tileentity.TileEntity

      `addMapping, canUpdate, createAndLoadEntity, func_145828_a, getBlockMetadata, getBlockType, getDescriptionPacket, getDistanceFrom, getMaxRenderDistanceSquared, getRenderBoundingBox, getWorldObj, hasWorldObj, invalidate, isInvalid, markDirty, onChunkUnload, onDataPacket, receiveClientEvent, setWorldObj, shouldRefresh, shouldRenderInPass, updateContainingBlockInfo, updateEntity, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.inventory.IInventory

      `markDirty`

- - ### Constructor Detail

    - #### TileEntityDropper

          public TileEntityDropper()

  - ### Method Detail

    - #### getInventoryName

          public java.lang.String getInventoryName()

      Specified by:
        `getInventoryName` in interface `IInventory`
      Overrides:
        `getInventoryName` in class `TileEntityDispenser`